﻿Type=Class
Version=4
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class Module
Sub Class_Globals
	'Private fx As JFX ' Uncomment if required for B4j only
	Private JS As JavaObject

End Sub
'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	'This is an autogenerated constructor, there may not be a matching constructor in the class, you will then have to remove the next line of code
	JS.InitializeStatic("javafx.print.JobSettings")
End Sub

'Collation determines how sheets are sorted when multiple copies of a document are printed.
'One of: COLLATED,UNCOLLATED
Public Sub GetCollation As String
	Return JS.RunMethod("getCollation",Null)
End Sub
'Get the current number of copies
Public Sub GetCopies As Int
	Return JS.RunMethod("getCopies",Null)
End Sub
'Get the current job name
Public Sub GetJobName As String
	Return JS.RunMethod("getJobName",Null)
End Sub
'Get the current page layout for this job.
Public Sub GetPageLayout As PageLayout
	Dim PL As PageLayout
	PL.Initialize
	PL.SetObject(JS.RunMethod("getPageLayout",Null))
	Return PL
End Sub
'The range of pages to print.
Public Sub GetPageRanges As PageRange
	Dim PR As JavaObject =  JS.RunMethod("getPageRanges",Null)
	Dim RV As PageRange
	RV.Initialize
	RV.StartPage = PR.RunMethod("getStartPage",Null)
	RV.EndPage = PR.RunMethod("getEndPage",Null)
	Return RV
End Sub
'Gets the value of the property paperSource.
'One of: Automatic,Bottom,Envelope,Large_Capacity,Main,Manual,Middle,Side or Top
Public Sub GetPaperSource As String
	Return JS.RunMethod("getPaperSource",Null)
End Sub
'Gets the value of the property printColor.
'One of: COLOR, MONOCHROME
Public Sub GetPrintColor As String
	Return JS.RunMethod("getPrintColor",Null)
End Sub
'Gets the value of the property printQuality.
'One of: DRAFT, HIGH, LOW, NORMAL
Public Sub GetPrintQuality As String
	Return JS.RunMethod("getPrintQuality",Null)
End Sub
'Get the print resolution
Public Sub GetPrintResolution As PrintResolution
	Dim PR As PrintResolution
	PR.Initialize
	Dim JO As JavaObject = JS.RunMethod("getPrintResolution",Null)
	PR.CrossFeedResolution = JO.RunMethod("getCrossFeedResolution",Null)
	PR.FeedResolution = JO.RunMethod("getFeedResolution",Null)
	Return PR
End Sub
'If a printer supports it, then a job may be printed on both sides of the media (paper), ie duplex printing.
'One of: DUPLEX, ONE_SIDED, TUMBLE
Public Sub GetPrintSides As String
	Return JS.RunMethod("getPrintSides",Null)
End Sub
'Set the Collation property.
'One of: COLLATED,UNCOLLATED
Public Sub SetCollation(Collation As String)
	JS.RunMethod("setCollation",Array As Object(Collation.ToUpperCase))
End Sub
'Set the number of copies
Public Sub SetCopies(NCopies As Int)
	JS.RunMethod("setCopies",Array As Object(NCopies))
End Sub
'Set the job name
Public Sub SetJobName(JobName As String)
	JS.RunMethod("setJobName",Array As Object(JobName))
End Sub
'Set the PageLayout to use.
Public Sub SetPageLayout(PageLayout As PageLayout)
	JS.RunMethod("setPageLayout",Array As Object(PageLayout.GetObject))
End Sub
'The range of pages to print as an array of PageRange.
Public Sub SetPageRanges(Pages As PageRange)
	Dim PR As JavaObject
	PR.InitializeNewInstance("javafx.print.PageRange",Array(Pages.StartPage,Pages.EndPage))
	JS.RunMethod("setPageRanges",Array As Object(PR))
End Sub
'Sets the value of the property paperSource.
'It is not possible to create a Papersource, you need to get a list of supported paper sources and select one.
'<code>	Dim P As Printer = Printer_Static.GetDefaultPrinter 'or select one from the list returned by Printer_Static.GetAllPrinters
'	Dim PA As PrinterAttributes = P.GetPrinterAttributes
'	Dim L As List = PA.GetSupportedPaperSources</code>
Public Sub SetPaperSource(Value As Object)
	JS.RunMethod("setPaperSource",Array As Object(Value))
End Sub
'Set the PrintColor property.
'One of: COLOR, MONOCHROME
Public Sub SetPrintColor(Color As String)
	JS.RunMethod("setPrintColor",Array As Object(Color.ToUpperCase))
End Sub
'Set the PrintQuality property.
'One of: DRAFT, HIGH, LOW, NORMAL
Public Sub SetPrintQuality(Quality As String)
	JS.RunMethod("setPrintQuality",Array As Object(Quality.ToUpperCase))
End Sub
'Set the PrintResolution property.
'It is not possible to create a Papersource, you need to get a list of supported paper sources and select one.
'<code>	Dim P As Printer = Printer_Static.GetDefaultPrinter 'or select one from the list returned by Printer_Static.GetAllPrinters
'	Dim PA As PrinterAttributes = P.GetPrinterAttributes
'	Dim L As List = PA.GetSupportedPrintResolutions/code>
Public Sub SetPrintResolution(Resolution As Object)
	JS.RunMethod("setPrintResolution",Array As Object(Resolution))
End Sub
'Set the PrintSides property which controls duplex printing.
'One of: DUPLEX, ONE_SIDED, TUMBLE
Public Sub SetPrintSides(Sides As String)
	JS.RunMethod("setPrintSides",Array As Object(Sides.ToUpperCase))
End Sub
'Returns a string representation
Public Sub ToString As String
	Return JS.RunMethod("toString",Null)
End Sub
Public Sub GetObject As Object
	Return JS
End Sub
Public Sub SetObject (Obj As Object)
	JS = Obj
End Sub
